Xfce Foundation Classes
Main Page | Index | Namespace List | Alphabetical List | Class List | File List

# Xfc::Gtk::MenuItemSignals Class Reference

Abstract base class that implements the virtual signal handlers for Gtk::MenuItem. More...

`#include <xfc/gtk/menuitemsignals.hh>`

Inheritance diagram for Xfc::Gtk::MenuItemSignals:

List of all members.

## Public Member Functions

Signal Handlers

- virtual void on_activate ()
    Called when the menu item is activated.
- virtual void on_activate_item ()
    Called when the menu item is activated, but also if the menu item has a submenu.
- virtual void on_toggle_size_request (int *requisition)
    Called when MenuBar or Menu requests the size of the toggle.
- virtual void on_toggle_size_allocate (int allocate)
    Called when MenuBar or Menu allocates a size for the toggle.

## Protected Member Functions

Contructors

- MenuItemSignals (MenuItem *menu_item)
    Construct a new MenuItemSignals object.
- virtual ~MenuItemSignals ()=0
    Destructor.

## Detailed Description

Abstract base class that implements the virtual signal handlers for Gtk::MenuItem.

## Constructor & Destructor Documentation

Xfc::Gtk::MenuItemSignals::MenuItemSignals | ( | MenuItem * | menu_item | ) | `[protected]`

Construct a new MenuItemSignals object.

Parameters:

  | menu_item | A MenuItem object inheriting the MenuItemSignals implementation.

## Member Function Documentation

virtual void Xfc::Gtk::MenuItemSignals::on_activate_item | ( |  | ) | `[virtual]`

| Called when the menu item is activated, but also if the menu item has a submenu. For normal applications, the relevant signal is "activate".

virtual void Xfc::Gtk::MenuItemSignals::on_toggle_size_allocate | ( | int | allocate | ) | `[virtual]`

Called when MenuBar or Menu allocates a size for the toggle.

Parameters:

  | allocate | The size allocated to the toggle.

For CheckMenuItem the toggle is a checkbox. For ImageMenuItem the Toggle is an image.

virtual void Xfc::Gtk::MenuItemSignals::on_toggle_size_request | ( | int * | requisition | ) | `[virtual]`

Called when MenuBar or Menu requests the size of the toggle.

Parameters:

  | requisition | The return location for the size of the toggle.

For CheckMenuItem the toggle is a checkbox. For ImageMenuItem the Toggle is an image.

The documentation for this class was generated from the following file:

- menuitemsignals.hh

Xfce Foundation Classes

Copyright © 2004-2005 The XFC Development Team | XFC 4.3